package com.abbidot.tracker.adapter

import android.content.Context
import com.abbidot.baselibrary.list.BaseRecyclerAdapter
import com.abbidot.baselibrary.list.RecyclerViewHolder
import com.abbidot.tracker.R
import com.abbidot.tracker.bean.DataBean

/**
 *Created  by .yzq on 2024/2/20/020.
 * @link
 * @description:
 */
class TextViewAdapter(
    ctx: Context, list: MutableList<DataBean>?
) : BaseRecyclerAdapter<DataBean>(ctx, list) {

    override fun getEmptyLayoutId(viewType: Int) = 0

    override fun getItemLayoutId(viewType: Int) = R.layout.item_text_view

    override fun bindData(holder: RecyclerViewHolder?, position: Int, item: DataBean) {
        holder!!.setText(R.id.tv_text_view_item, item.name)
    }
}